const join = require('path').join
const modConfig = require('./config')
const getData = require('./content/getData')
const addRoutes = require('./content/addRoutes')

module.exports = function () {
  const config = createConfig(this.options)
  config.contentData = getData(config)

  const contentLoaders = modConfig.loaders(config)
  this.options.build.loaders.push(contentLoaders)

  this.extendRoutes(routes => addRoutes(routes, config.contentData))
}

function createConfig (opts) {
  const config = Object.assign({}, modConfig.defaults, opts.content)
  config.srcPath = opts.srcDir
  config.contentPath = join(opts.srcDir, config.srcDir)
  // `config.dirs` can be an Array but for simplicity we only read it as a 2D Array
  if (!Array.isArray(config.dirs[0])) config.dirs = [config.dirs]
  return config
}

module.exports.meta = require('../package.json')
